% Tracciamento dei diagrammi di modulo e fase
% della risposta armonica dello ZOH

% Periodo di campionamento
T = 0.01;

% Pulsazioni
omega = 0:1e-1:1e4;

% Calcolo della risposta armonica
warning off
H = exp(-j*omega*T/2).*sinc(omega*T/(2*pi));

% Tracciamento dei diagrammi
subplot(2,1,1)
semilogx(omega,20*log10(abs(H)))
axis([-1e-1 1e4 -200 10])
grid
title('Modulo della risposta armonica H_0(j\omega)')
xlabel('\omega [rad/s]')
ylabel('dB')
subplot(2,1,2)
semilogx(omega,angle(H)*180/pi)
grid
axis([-1e-1 1e4 -200 10])
title('Diagrammi della risposta armonica H_0(j\omega)')
title('Fase della risposta armonica H_0(j\omega)')
xlabel('\omega [rad/s]')
ylabel('rad')
warning on